MyXoops Forum

Aw:: CBB 4.01 für XOOPS ab 2.4.2 [Module für Forenlösungen] - myXOOPS German Support

alfred

Administrator
Gepostet am:26.12.2009 21:00
alfred
alfred Offline (Show more)
Administrator
Posts: 7613
Since: 06.12.2004
#9

Aw:: CBB 4.01 für XOOPS ab 2.4.2

Versuch es erstmal lokal mit einer Neuinstallation
(für produktive Seiten ist das Teil eh noch nicht brauchbar)

Der_Lord

"myXOOPs"-Fortgeschrittener
Gepostet am:26.12.2009 20:54
Der_Lord
Der_Lord Offline (Show more)
"myXOOPs"-Fortgeschrittener
Posts: 155
Since: 22.09.2006
#8

Aw:: CBB 4.01 für XOOPS ab 2.4.2

Ich hatte das hier auf meinem Rechner neu installiert, weil ich die Anpassungen nicht hin bekommen hatte.
Das erschien mir dann einfacher. Auf meinem richtigen Server wurden nur Updates gefahren. Jedoch noch nie mit solchen Problemen.

Bis auf einmal, aber da war ja nur die URL falsch und nach deinem Tipp lief auch das sauber durch.

Was meinst du? Einfach noch mal eine komplette neue Installation machen, dann versuchen newBB 4.01 zu installieren mit anschließender Rücksicherung meiner Datenbank?

Advertisement

Gepostet am:0
Advertisement (Show more)
Posts: 0
Since: 0


Hier könnten Sie Ihre Anzeige aufgeben!
Bitte kontaktieren Sie uns, um mehr darüber zu erfahren.

alfred

Administrator
Gepostet am:26.12.2009 20:48
alfred
alfred Offline (Show more)
Administrator
Posts: 7613
Since: 06.12.2004
#7

Aw:: CBB 4.01 für XOOPS ab 2.4.2

naja die xoopsconfig.php kann nicht gelesen werden
Das hat jetzt aber keine Auswirkungen auf das Forum *g*

der Fatal Error ist der Grund.
Allerdings vermisst er eine XOOPS-Funktion.
Ist das XOOPS ein Update oder eine Neuinstallation?
Mir scheint, das da noch andere Dinge nicht so stimmen, siehe die fehlende Datei.

Der_Lord

"myXOOPs"-Fortgeschrittener
Gepostet am:26.12.2009 20:42
Der_Lord
Der_Lord Offline (Show more)
"myXOOPs"-Fortgeschrittener
Posts: 155
Since: 22.09.2006
#6

Aw:: CBB 4.01 für XOOPS ab 2.4.2

Habe ich gemacht. Framework aus dem Original 2.4.2 eingespielt.

und siehe da - Xoops spricht mit mir.
Fatal errorCall to undefined method NewbbPermissionHandler::XoopsGroupPermHandler() 
in C:xampphtdocsxop23modulesnewbbclasspermission.php on line 31

Keine Alle Fehler 
(2Abfragen (12Blocks (0Extras (3Timer(3)

Fehler

Hinweis
File Path Error: var/configs/xoopsconfig.php does not exist.
 
in Datei /include/common.php Zeile 116

Unbekannt
Assigning the return value of new by reference is deprecated in Datei /modules/newbb/class/permission.php Zeile 38


Scheinbar fehlt eine Datei

alfred

Administrator
Gepostet am:26.12.2009 20:39
alfred
alfred Offline (Show more)
Administrator
Posts: 7613
Since: 06.12.2004
#5

Aw:: CBB 4.01 für XOOPS ab 2.4.2

Zitat:

Der_Lord schrieb:
Debug meldet einiges, jedoch nicht mehr wenn Xoops in eine weiße Seite läuft.


Protektor installiert? (sollte aber nicht das Problem sein)
memory_limit sollte ausreichend sein (wer setzt sowas auf 128 MB?? und wozu, weil 32 ist schon das höchste aller Dinge )

Ansonsten hab ich eigentlich allerlei Konfigurationen schon durch

du kannst ja mal spasseshalber dein Frameworks umbenennen und den originalen vom XOOPS 2.4.2 reintun, eventuell kommen wir dann so weiter.

Der_Lord

"myXOOPs"-Fortgeschrittener
Gepostet am:26.12.2009 20:34
Der_Lord
Der_Lord Offline (Show more)
"myXOOPs"-Fortgeschrittener
Posts: 155
Since: 22.09.2006
#4

Aw:: CBB 4.01 für XOOPS ab 2.4.2

Debug meldet einiges, jedoch nicht mehr wenn Xoops in eine weiße Seite läuft.

Mit dem Framework stehe ich gerade auf dem Schlauch, dass muss ich überprüfen, bevor ich eine falsche Aussage treffe.

alfred

Administrator
Gepostet am:26.12.2009 20:29
alfred
alfred Offline (Show more)
Administrator
Posts: 7613
Since: 06.12.2004
#3

Aw:: CBB 4.01 für XOOPS ab 2.4.2

debug ist schon aktiviert?
normalerweise muss da eine Ausgabe kommen (zumindestens massig Notices unter PHP5.3)

und für ein Update ist es eigentlich noch nicht genug ausgetestet (sollte aber dennoch gehen)

Was für ein Framework ist installiert (das welches Standardmässig bei XOOPS 2.4 dabei war) ?

Der_Lord

"myXOOPs"-Fortgeschrittener
Gepostet am:26.12.2009 19:02
Der_Lord
Der_Lord Offline (Show more)
"myXOOPs"-Fortgeschrittener
Posts: 155
Since: 22.09.2006
#2

Aw:: CBB 4.01 für XOOPS ab 2.4.2

Erst einmal vielen Dank für den Download Alfred.

Leider bekomme ich das Forum nicht installiert.
Ich habe meine Seite lokal unter Xampp laufen, doch sobald ich diese Version einspiele bekomme ich nur weiße Seite. Kann somit auch keinen Debug lesen.

Schon nach dem klick auf aktualisieren bei "Um das Modul zu aktualisieren bestätigen Sie bitte" kommt eine weiße Seite.

Lokales System:
Systemübersicht
Xoops Version   XOOPS 2.4.2
PHP Version  5.3.0
mySQL Version  5.1.37
Server API  apache2handler
OS  WINNT
safe_mode  Off
register_globals   Off
magic_quotes_gpc   Off
allow_url_fopen  On
fsockopen   On
allow_call_time_pass_reference  On
post_max_size   128M
max_input_time  60
output_buffering  
max_execution_time  60
memory_limit  128M
file_uploads  On
upload_max_filesize   128M


Habe newbb überschrieben, habe gelöscht und komplett ausgetauscht, habe deinstalliert und neu installiert.
Immer endet es in eine weiße Seite.

Hast du eine Idee was ich nicht beachte?

alfred

Administrator
Gepostet am:25.12.2009 20:16
alfred
alfred Offline (Show more)
Administrator
Posts: 7613
Since: 06.12.2004
#1

CBB 4.01 für XOOPS ab 2.4.2

Da scheinbar keiner mehr am CBB 4.0 weiterarbeit, aber in diesem Forum noch viel Potential steckt, habe ich mir mal erlaubt etwas daran rumzuschrauben.

Rausgekommen ist die Version 4.01
Als Basis kam die 4.0 von 2007(!) zum Einsatz.

Ich habe das Forum so aufgebaut, das es unabhängig vom Framework läuft. Es wird also nicht benötigt!
(Schaden tuts aber auch nicht)

Dies ist aber immer noch eine ALPHA-Version (also nur zum Testen!)

Hinweise, Vorschläge, Bugs bitte hier im Forum.

Download hier als Anhang
Demo hier


Datei anhängen:


Link nur für registrierte Benutzer
Diesen Thread durchsuchen:  1 Anonyme Benutzer